### Method

# Gio FilenameCompleter get_completion_suffix

#### Declaration [src]

    char*
    g_filename_completer_get_completion_suffix (
      GFilenameCompleter* completer,
      const char* initial_text
    )

#### Description [src]

Obtains a suffix completion for `initial_text` from `completer`.

Suffix will be an empty string if there’s no shared suffix among matching completions. If there’s no matching completions anyway, `NULL` is returned.

#### Parameters

`initial_text`

  Type: `const char*`

  Text to be completed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A suffix completion string, or `NULL` if no completion exists.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.